unit vc_u1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls, GIFImage;

type
  TForm1 = class(TForm)
    BoxSetUp: TGroupBox;
    Timer1: TTimer;
    FontDialog1: TFontDialog;
    Button1: TButton;
    Text1: TEdit;
    Label4: TLabel;
    Label5: TLabel;
    Text2: TEdit;
    Button2: TButton;
    Label2: TLabel;
    TidS: TTrackBar;
    Label3: TLabel;
    ImageView: TImage;
    Label1: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Button3: TButton;
    SaveDialog: TSaveDialog;
    TrackBar1: TTrackBar;
    TrackBar2: TTrackBar;
    Label8: TLabel;
    Label9: TLabel;
    Button4: TButton;
    SetBox: TGroupBox;
    Edit1: TEdit;
    Label10: TLabel;
    Edit2: TEdit;
    Label11: TLabel;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure TidSChange(Sender: TObject);
    procedure TidSDragDrop(Sender, Source: TObject; X, Y: Integer);
    procedure TidSStartDrag(Sender: TObject; var DragObject: TDragObject);
    procedure TidSDragOver(Sender, Source: TObject; X, Y: Integer;
      State: TDragState; var Accept: Boolean);
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Label10Click(Sender: TObject);
    procedure Label11Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  OldMaxW,MaxW:Integer;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
Var
T:Integer;

begin
if FontDialog1.Execute then begin
 Label1.Font := FontDialog1.Font;
 End;
OldMaxW:=0;
MaxW:=0;

BoxSetUp.top:=Label1.Top+Label1.Height+20;
Form1.Height:=BoxSetUp.top+BoxSetUp.Height+35;

For T:=0 to 59 do begin
{ For M:=0 to 59 do begin
  For S:=0 to 59 do Begin}
   Label1.Refresh;
   Label1.Caption:=Text1.Text + IntToStr(T)+':'+IntToStr(T)+':'+IntToStr(T)+Text2.Text;
MaxW:=Label1.Width;
if MaxW>OldMaxW then Begin
 OldMaxW:=MaxW;
End;
Label6.Caption:=IntToStr(MaxW);
Label7.Caption:=IntToStr(OldMaxW);
Form1.Width:=OldMaxW+50;
{  End;
 End;}
End;

end;

procedure TForm1.Timer1Timer(Sender: TObject);
var
  GIF			: TGIFImage;
begin
{OldMaxW,MaxW}
Label1.Caption := Text1.Text + TimeToStr(Time)+Text2.Text;
BoxSetUp.top:=Label1.Top+Label1.Height+20;
Form1.Height:=BoxSetUp.top+BoxSetUp.Height+35;
MaxW:=Label1.Width;
if MaxW>OldMaxW then Begin
 OldMaxW:=MaxW;
End;
Label6.Caption:=IntToStr(MaxW);
Label7.Caption:=IntToStr(OldMaxW);

if Label1.Width>BoxSetUp.Width Then begin
 Form1.Width:=OldMaxW+50;
End;
if Label1.Width<BoxSetUp.Width Then begin
 Form1.Width:=BoxSetUp.Width+50;
End;

  // Set filter to GIF only
  {SaveDialog.Filter := GraphicFilter(TGIFImage);
  SaveDialog.DefaultExt := GraphicExtension(TGIFImage);
  SaveDialog.InitialDir := ExtractFilePath('C:\');

  if not(SaveDialog.Execute) then
    exit;
   }
  Screen.Cursor := crHourGlass;
  try
    GIF := TGifImage.Create;
    try
      // Set import color reduction options

  ImageView.Picture.LoadFromFile(Edit2.Text);
ImageView.Width:=Label1.Width+20;
ImageView.Height:=Label1.Height;
  with ImageView do begin
    Canvas.brush.color := clRed;
    Canvas.brush.style := bsDiagCross;
    Canvas.Font:=Label1.Font;
    Canvas.TextOut(8,2,Label1.Caption);
  end;


      // Convert to GIF   ImageView
      GIF.Assign(ImageView.Picture.Graphic);

      // Save to GIF
      GIF.SaveToFile(Edit1.Text);

      // Display GIF
      ImageView.Picture.Assign(GIF);
    finally
      GIF.Free;
    end;
  finally
    Screen.Cursor := crDefault;
  end;




end;

procedure TForm1.TidSChange(Sender: TObject);
begin
TidS.hint:=InttoStr(TidS.position)+(' Sekunder');
Label3.Caption:=InttoStr(TidS.position)+(' Sekunder');
Timer1.Interval:=(1000*TidS.Position);
end;

procedure TForm1.TidSDragDrop(Sender, Source: TObject; X, Y: Integer);
begin
TidS.hint:=InttoStr(TidS.position)+(' Sekunder');
Label3.Caption:=InttoStr(TidS.position)+(' Sekunder');
Timer1.Interval:=(1000*TidS.Position);
end;

procedure TForm1.TidSStartDrag(Sender: TObject;
  var DragObject: TDragObject);
begin
TidS.hint:=InttoStr(TidS.position)+(' Sekunder');
Label3.Caption:=InttoStr(TidS.position)+(' Sekunder');
Timer1.Interval:=(1000*TidS.Position);
end;

procedure TForm1.TidSDragOver(Sender, Source: TObject; X, Y: Integer;
  State: TDragState; var Accept: Boolean);
begin
TidS.hint:=InttoStr(TidS.position)+(' Sekunder');
Label3.Caption:=InttoStr(TidS.position)+(' Sekunder');
end;

procedure TForm1.Button3Click(Sender: TObject);
var
  GIF			: TGIFImage;
begin
  // Set filter to GIF only
  {SaveDialog.Filter := GraphicFilter(TGIFImage);
  SaveDialog.DefaultExt := GraphicExtension(TGIFImage);
  SaveDialog.InitialDir := ExtractFilePath('C:\');

  if not(SaveDialog.Execute) then
    exit;
   }
  Screen.Cursor := crHourGlass;
  try
    GIF := TGifImage.Create;
    try
      // Set import color reduction options

  ImageView.Picture.LoadFromFile('C:\labb.bmp');
  with ImageView do begin
    Canvas.brush.color := clRed;
    Canvas.brush.style := bsDiagCross;
    Canvas.Font:=Label1.Font;
    Canvas.TextOut(20,20,Label1.Caption);
  end;


      // Convert to GIF   ImageView
      GIF.Assign(ImageView.Picture.Graphic);

      // Save to GIF
      GIF.SaveToFile('C:\test.gif');

      // Display GIF
      ImageView.Picture.Assign(GIF);
    finally
      GIF.Free;
    end;
  finally
    Screen.Cursor := crDefault;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
SetBox.Top:=16;
SetBox.Left:=0;
ImageView.Picture.LoadFromFile(Edit2.Text);
Timer1.Enabled:=True;
Timer1.Interval:=(100);
Label3.Caption:=InttoStr(TidS.position)+(' Sekunder');
Timer1.Interval:=(1000*TidS.Position);
end;

procedure TForm1.Label10Click(Sender: TObject);
begin
  if OpenDialog1.Execute then          { Display Open dialog box }
  begin
    Timer1.Enabled:=False;
    Edit2.Text := OpenDialog1.FileName;                       { Put string in a TEdit control }
  end;
  Timer1.Enabled:=True;
End;

procedure TForm1.Label11Click(Sender: TObject);
begin
  if OpenDialog1.Execute then          { Display Open dialog box }
  begin
    Timer1.Enabled:=False;
    Edit2.Text := OpenDialog1.FileName;                       { Put string in a TEdit control }
  end;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
SetBox.Tag:=1;
if SetBox.Visible=False then Begin SetBox.Visible:=True; SetBox.Tag:=2;Timer1.Enabled:=False;End;
if SetBox.Tag=1 then If SetBox.Visible=True then Begin SetBox.Visible:=False;Timer1.Enabled:=True;End;
end;

end.


